Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSTabOrder

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSMovieObject
              com.flagstone.transform.FSTabOrder

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSTabOrder

extends FSMovieObject

The FSTabOrder class is used to set the tabbing order of text fields, movie clips and buttons visible on the display list.

Attributes
type | Identifies the data structure when it is encoded. Read-only.
layer | The layer number which contains the object assigned to the tabbing order.
index | The index of the object in the tabbing order.

# History

The FSTabOrder object represents the SetTabIndex tag in the Flash file specification . It was introduced in Flash 7.

Field Summary

Fields inherited from class com.flagstone.transform.FSMovieObject
`ButtonColorTransform, ButtonSound, DefineBitsPtr, DefineButton, DefineButton2, DefineFont, DefineFont2, DefineImage, DefineImage2, DefineJPEGImage, DefineJPEGImage2, DefineJPEGImage3, DefineMorphShape, DefineMovieClip, DefineShape, DefineShape2, DefineShape3, DefineSound, DefineText, DefineText2, DefineTextField, DefineVideo, DoAction, EnableDebugger, EnableDebugger2, Export, extendLength, FontInfo, FontInfo2, FrameLabel, Free, Import, Initialize, JPEGTables, length, LimitScript, PathsArePostscript, PlaceObject, PlaceObject2, Protect, QuicktimeMovie, RemoveObject, RemoveObject2, SerialNumber, SetBackgroundColor, ShowFrame, SoundStreamBlock, SoundStreamHead, SoundStreamHead2, StartSound, TabOrder, type, VideoFrame`

Constructor Summary
`FSTabOrder(FSCoder coder)` Construct an FSTabOrder object, initializing it with values decoded from an encoded object.
`FSTabOrder(FSTabOrder obj)` Constructs an FSTabOrder object by copying values from an existing object.
`FSTabOrder(int layer, int index)` Construct a FSTabOrder object that set the tab order for the object on the display list at the specified layer.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`int` | `getIndex()` Gets the index of the object in the tabbing order.
`int` | `getLayer()` Gets the layer number which contains the object assigned to the tabbing order.
`int` | `length(FSCoder coder)`
`void` | `setIndex(int index)` Sets the index of the object in the tabbing order.
`void` | `setLayer(int layer)` Sets the layer number which contains the object assigned to the tabbing order.

Methods inherited from class com.flagstone.transform.FSMovieObject
`getType`

Methods inherited from class com.flagstone.transform.FSTransformObject
`clone, name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSTabOrder

    public FSTabOrder(FSCoder coder)

  Construct an FSTabOrder object, initializing it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSTabOrder

    public FSTabOrder(int layer,
                      int index)

  Construct a FSTabOrder object that set the tab order for the object on the display list at the specified layer.

  Parameters:
    `layer` - the layer number which contains the object assigned to the tabbing order.
    `index` - the index of the object in the tabbing order.

### FSTabOrder

    public FSTabOrder(FSTabOrder obj)

  Constructs an FSTabOrder object by copying values from an existing object.

  Parameters:
    `obj` - an FSTabOrder object.

Method Detail

### getLayer

    public int getLayer()

  Gets the layer number which contains the object assigned to the tabbing order.

  Returns:
    the layer number.

### setLayer

    public void setLayer(int layer)

  Sets the layer number which contains the object assigned to the tabbing order.

  Parameters:
    `layer` - the layer number.

### getIndex

    public int getIndex()

  Gets the index of the object in the tabbing order.

  Returns:
    the index in the tabbing order.

### setIndex

    public void setIndex(int index)

  Sets the index of the object in the tabbing order.

  Parameters:
    `index` - the index in the tabbing order.

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSMovieObject`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSMovieObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Overrides:
    `appendDescription` in class `FSMovieObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSMovieObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSMovieObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSMovieObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD